<template>
	<view class="container">
		<view class="banner">
			<image src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/sms_pro/index_topgb.png" mode="" class="bg"></image>
			<!-- <view class="intro">
				<view class="greet">您好，游客</view>
				<view class="note">那些无法当面说的话，就让我对TA说吧！匿名表白，爱意传递</view>
			</view> -->
		</view>
		<view class="content">
			<view class="entrance">
				<view class="item" @tap="sendsms">
					<image src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/sms_pro/index_write.png" class="icon"></image>
					<view class="title">写信</view>
				</view>
				<view class="item" @tap="getsms">
					<image src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/sms_pro/index_get.png" class="icon"></image>
					<view class="title">收信</view>
				</view>
			</view>
			<view class="info">
				<view class="integral_section" @tap="toTemplate(-1)">
					<image style="width: 100%;height: 3.5rem;" src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/sms_pro/smstemplateto.png"></image>
					<!-- <view class="top">
						<text class="title">我的余额:</text>
						<text class="value">{{memberinfo.smscount}}</text>
					</view>
					 <view class="bottom">
						进入充值中心，享受更多优惠，冲的越多，省的越多
						<view class="iconfont iconarrow-right"></view>
					</view> -->
				</view>
				<!-- <view class="qrcode_section" @tap="memberCode">
					<image src="/static/images/index/qrcode.png"></image>
					<text>会员码</text>
				</view> -->
			</view>
			<view class="navigators">
				<view class="left" style="padding: 0;background: #fff;" @tap="toTemplate(13)">
					<image style="width: 100%; height: 9rem;" src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/sms_pro/index_bt1.png" ></image>
					<!--<view class="grid flex-column just-content-center">
						
						 <view class="d-flex align-items-center">
							<image src="/static/images/index/csc.png" class="mark-img"></image>
							<view class="font-size-sm text-color-base">情人节短信预约</view>
						</view>
						<view class="text-color-assist" style="margin-left: 40rpx; font-size: 20rpx;">情人节短信预约</view> 
					</view>
					<view class="grid justify-content-end align-items-end">
						<image src="/static/images/index/yzclh.png" class="yzclh-img" mode="heightFix"></image>
					</view>-->
				</view>
				<view class="right" style="padding: 0;background: #fff;">
					<view class="tea-activity" @tap="toTemplate(1)" style="padding: 0;background: #fff;">
						<image style="width: 100%; height: 4.1rem;" src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/sms_pro/index_bt2.jpg" ></image>
						<!-- <image src="/static/images/index/mcsb.png" class="mark-img"></image>
						<view>520表白</view>
						<view class="right-img">
							<image src="/static/images/index/mcsb_bg.png" mode="widthFix"></image>
						</view> -->
					</view>
					<view class="member-gifts" @tap="toTemplate(11)" style="padding: 0;background: #fff;">
						<image style="width: 100%; height:  4.1rem;" src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/sms_pro/index_bt3.jpg" ></image>
						<!-- <image src="/static/images/index/hyjb.png" class="mark-img"></image>
						<view>生日祝福</view>
						<view class="right-img">
							<image src="/static/images/index/hyjb_bg.png" mode="widthFix"></image>
						</view> -->
					</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				memberinfo:{}
			}
		},
		onLoad() {
			this.getMemberInfo();
		},
		methods: {
			getMemberInfo()
			{let openid = uni.getStorageSync('smsopenid');
				let data={
					OpenId:openid
				}
				this.$http.post('/smsapi/SmsBusiness/GetMemberInfo', data).then(e => {
					if(e.result!=null&& e.isblack==1)
					{//黑名单无权限
						uni.reLaunch({
							url:'/pages/emptypage/nopermissions'
						})
					}
					this.memberinfo=e.result;
					uni.setStorageSync("smsmemberinfo",e.result);
				}).catch(function(err) {
					console.log(err);
				})
			},
			toTemplate(templateId)
			{
				uni.navigateTo({url: '/pages/smstemplate/index?templateType='+templateId})
			},
			tochong()
			{
				uni.switchTab({url: '/pages/mine/mine'})
			},
			sendsms()
			{
				uni.navigateTo({url: '/pages/sendsms/index'})
			},
			getsms()
			{
				uni.switchTab({url: '/pages/charthistory/index'})
			}
			
		}
	}
</script>

<style lang="scss" scoped>
/* #ifdef H5 */
page {
	height: auto;
	min-height: 100%;
}
/* #endif */

.banner {
	position: relative;
	width: 100%;
	height: 600rpx;
	
	.bg {
		width: 100%;
		height: 600rpx;
	}
	
	.intro {
		position: absolute;
		top: calc(50rpx + var(--status-bar-height));
		left: 40rpx;
		color: #FFFFFF;
		display: flex;
		flex-direction: column;
		
		.greet {
			font-size: $font-size-lg;
			margin-bottom: 10rpx;
		}
		
		.note {
			font-size: $font-size-sm;
		}
	}
}

.content {
	padding: 0 30rpx;
}

.entrance {
	position: relative;
	margin-top: -80rpx;
	margin-bottom: 30rpx;
	border-radius: 10rpx;
	background-color: #ffffff;
	box-shadow: $box-shadow;
	padding: 30rpx 0;
	display: flex;
	align-items: center;
	justify-content: center;
	
	.item {
		flex: 1;
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		position: relative;
		
		&:nth-child(1):after {
			content: '';
			position: absolute;
			width: 1rpx;
			background-color: #ddd;
			right: 0;
			height: 100%;
			transform: scaleX(0.5) scaleY(0.8);
		}
		
		.icon {
			width: 84rpx;
			height: 84rpx;
			margin: 20rpx;
		}
		
		.title {
			font-size: 30rpx;
			color: $text-color-base;
			font-weight: 600;
		}
	}
}

.info {
	position: relative;
	margin-bottom: 30rpx;
	border-radius: 10rpx;
	background-color: #ffffff;
	box-shadow: $box-shadow;
	padding: 30rpx;
	display: flex;
	align-items: center;
	justify-content: center;
	
	.integral_section {
		flex: 1;
		display: flex;
		flex-direction: column;
		justify-content: center;
		
		.top {
			display: flex;
			align-items: center;
			
			.title {
				color: $text-color-base;
				font-size: $font-size-base;
				margin-right: 10rpx;
			}
			.value {
				font-size: 44rpx;
				font-weight: bold;
			}
		}
		
		.bottom {
			font-size: $font-size-sm;
			color: $text-color-assist;
			display: flex;
			align-items: center;
		}
	}
	
	.qrcode_section {
		color: $color-primary;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		font-size: $font-size-sm;
		
		image {
			width: 40rpx;
			height: 40rpx;
			margin-bottom: 10rpx;
		}
	}
}

.navigators {
	width: 100%;
	margin-bottom: 20rpx;	
	border-radius: 10rpx;
	background-color: #ffffff;
	box-shadow: $box-shadow;
	padding: 20rpx;
	display: flex;
	align-items: stretch;
	
	.left {
		width: 340rpx;
		margin-right: 20rpx;
		display: flex;
		padding: 0 20rpx;
		flex-direction: column;
		font-size: $font-size-sm;
		color: $text-color-base;
		background-color: #F2F2E6;
		
		.grid {
			height: 50%;
			display: flex;
		}
	}
	
	.right {
		width: 290rpx;
		display: flex;
		flex-direction: column;
		
		.tea-activity, .member-gifts {
			width: 100%;
			display: flex;
			padding: 20rpx;
			font-size: $font-size-sm;
			color: $text-color-base;
			align-items: center;
			position: relative;
		}
		
		.tea-activity {
			background-color: #FDF3F2;
			margin-bottom: 20rpx;
		}
		
		.member-gifts {
			background-color: #FCF6D4;
		}
		
		.right-img {
			flex: 1;
			position: relative;
			margin-left: 20rpx;
			margin-right: -20rpx;
			margin-bottom: -20rpx;
			display: flex;
			align-items: flex-end;
			
			image {
				width: 100%;
			}
		}
	}
	
	.mark-img {
		width: 30rpx;
		height: 30rpx;
		margin-right: 10rpx;
	}
	
	.yzclh-img {
		height: 122.96rpx;
		width: 214.86rpx;
	}
}

.member-news {
	width: 100%;
	margin-bottom: 30rpx;
	.header {
		display: flex;
		align-items: center;
		justify-content: space-between;
		padding: 20rpx 0;
		
		.title {
			font-size: $font-size-lg;
			font-weight: bold;
		}
		
		.iconfont {
			font-size: 52rpx;
			color: $text-color-assist;
		}
	}
	
	.list {
		width: 100%;
		display: flex;
		flex-direction: column;
		
		.item {
			width: 100%;
			height: 240rpx;
			position: relative;
			
			image {
				width: 100%;
				height: 100%;
				border-radius: 8rpx;
			}
			
			.title {
				position: relative;
				font-size: 32rpx;
				font-weight: 500;
				width: 100%;
				top: -70rpx;
				left: 16rpx;
				color: #ffffff;
			}
		}
	}
}
</style>
